%define         fontdir %{_datadir}/fonts/artwiz-aleczapka

Name:           artwiz-aleczapka-fonts
Version:        1.3
Release:        6%{?dist}
Summary:        Set of (improved) artwiz fonts

Group:          User Interface/X
License:        GPLv2
URL:            http://artwizaleczapka.sourceforge.net/
Source0:        http://dl.sf.net/artwizaleczapka/artwiz-aleczapka-en-sources-1.3.tar.bz2
Source1:        http://dl.sf.net/artwizaleczapka/artwiz-aleczapka-de-sources-1.3.tar.bz2
Source2:        http://dl.sf.net/artwizaleczapka/artwiz-aleczapka-se-sources-1.3.tar.bz2
Patch0:		artwiz-aleczapka-fkp-cleanups.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  xorg-x11-font-utils

%description
This is set of (improved) artwiz fonts.
The ultimate solution to your all problems with artwiz fonts.
Screenshots: http://artwizaleczapka.sourceforge.net/images/shots/


%prep
%setup -q -c %{name}-%{version} -a1 -a2
%patch0 -p0

%build
for lang in de en se; do
    pushd %{_builddir}/%{name}-%{version}/artwiz-aleczapka-$lang-sources-%{version}
    sh makepcf.sh
    popd
done


%install
%{__rm} -rf %{buildroot}
for lang in de en se; do
    %{__install} -d -m 0755 %{buildroot}%{fontdir}/artwiz-aleczapka-$lang-%{version}
    %{__install} -p -m 0644 %{_builddir}/%{name}-%{version}/artwiz-aleczapka-$lang-sources-%{version}/*.pcf \
	%{buildroot}%{fontdir}/artwiz-aleczapka-$lang-%{version}
done

# "touch" all files we've got flagged as %ghost but which are not
# present in the %{buildroot} when RPM looks for files
/bin/touch %{buildroot}%{fontdir}/fonts.cache-{1,2}
/bin/touch %{buildroot}%{fontdir}/artwiz-aleczapka-{de,en,se}-%{version}/fonts.cache-{1,2}


%clean
%{__rm} -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(-,root,root,-)
# generic docs are the same for every lang (AUHTORS has all info in german dir
# so use it from german font dir)
%doc artwiz-aleczapka-de-sources-1.3/{AUTHORS,COPYING,README,VERSION}
%doc artwiz-aleczapka-de-sources-1.3/README.DE
%doc artwiz-aleczapka-se-sources-1.3/README.SE
%dir %{fontdir}
%dir %{fontdir}/artwiz-aleczapka-de-%{version}
%dir %{fontdir}/artwiz-aleczapka-en-%{version}
%dir %{fontdir}/artwiz-aleczapka-se-%{version}
%{fontdir}/*/*.pcf
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/fonts.cache-2
%ghost %{fontdir}/artwiz-aleczapka-de-%{version}/fonts.cache-1
%ghost %{fontdir}/artwiz-aleczapka-de-%{version}/fonts.cache-2
%ghost %{fontdir}/artwiz-aleczapka-en-%{version}/fonts.cache-1
%ghost %{fontdir}/artwiz-aleczapka-en-%{version}/fonts.cache-2
%ghost %{fontdir}/artwiz-aleczapka-se-%{version}/fonts.cache-1
%ghost %{fontdir}/artwiz-aleczapka-se-%{version}/fonts.cache-2


%changelog
* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.3-6
- font cleanup on fkp font (bz 472220)

* Sat Sep 23 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.3-5
- Rebuilt for FC6

* Tue Feb 14 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.3-4
Rebuild for Fedora Extras 5

* Sat Dec 31 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.3-3
- apply fixes from Dawid Gajownik
- add documentation

* Tue Nov 29 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.3-2
- package name with -fonts
- use fc-cache in post/postun

* Sat Nov 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
1.3-1
- split from fluxbox package
